Retrieve dependencies

Retrieve dependencies#

Description#

Returns an unordered collection of all tables the matching query uses as datasources, including any shared tables outside of this OAuth token’s workspace. The endpoint verifies the user has read permissions on the query, but not on the tables returned.

GET /api/v1/query/{queryId}/dependencies

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

queryId

path

string

true

The unique identifier of the query

cursor

query

string

false

A paging cursor; if included, limit is ignored

limit

query

integer(int32)

false

The number of dependencies to return, from 1 to 1000; by default, 1000

offset

query

integer(int64)

false

The item to start with on the page, greater than or equal to 0; by default, 0

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/query/{queryId}/dependencies \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/query/{queryId}/dependencies \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/query/{queryId}/dependencies" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/query/{queryId}/dependencies', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object with body and cursor properties.

  • body contains an array of TableDto objects. If the request returns no results, body contains an empty array.

  • cursor contains a paging cursor, which can be included in the next call to this endpoint to retrieve the next set of results. If no additional results, cursor is null.

Example Responses#

{
  "body": [
    {
      "created": "string",
      "databaseId": "string",
      "datasetUpdated": "string",
      "deleted": "boolean",
      "description": "string",
      "hierarchyMetadata": {
        "childColumnId": "string",
        "parentColumnId": "string"
      },
      "id": "string",
      "isShared": "boolean",
      "lastUploaded": "string",
      "name": "string",
      "parentId": "string",
      "readOnly": "boolean",
      "tableSchema": {
        "columns": [
          {
            "alias": "string",
            "description": "string",
            "metadata": {},
            "mode": "string",
            "name": "string",
            "type": "string"
          }
        ]
      },
      "type": "string",
      "uniqueTableConstraints": [
        {
          "description": "string",
          "id": "string",
          "name": "string",
          "tableId": "string",
          "values": [
            "string"
          ]
        }
      ],
      "updated": "string",
      "userId": "string",
      "version": "integer"
    }
  ],
  "code": "integer",
  "cursor": "string"
}